package cn.edu.whu.boot.xml.dto;

import java.util.List;

/**
 * 封装 XML 文件 <table> 标签的内容，前端需要字符串样式参考 CommonConstant 注释
 */
public class FrontEndTable {

    private String name;
    private String key;
    private boolean root;
    private String drawTool;
    private List<FrontEndField> fields;

    public String getName()
    {
        return name;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getKey()
    {
        return key;
    }

    public void setKey(String key)
    {
        this.key = key;
    }

    public List<FrontEndField> getFields()
    {
        return fields;
    }

    public void setFields(List<FrontEndField> fields)
    {
        this.fields = fields;
    }
    public boolean isRoot() {
        return root;
    }
    public void setRoot(boolean root) {
        this.root = root;
    }

    public String getDrawTool() {
        return drawTool;
    }

    public void setDrawTool(String drawTool) {
        this.drawTool = drawTool;
    }
}
